bitel.billing.server.gorod.bean

## Class RegisterManager

- java.lang.Object
- - bitel.billing.server.gorod.bean.RegisterManager

-     public class RegisterManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRegister(Register register)`
    `void` | `deleteRegister(int id)`
    `Register` | `getRegister(int type, java.util.Calendar date, int tagID)`
    `Register` | `getRegisterById(int id)`
    `Register` | `getRegisterByID(int id)` Deprecated.
    `java.util.List<Register>` | `getRegisterList(java.util.Calendar date1, java.util.Calendar date2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### RegisterManager

          public RegisterManager(java.sql.Connection con,
                                 int mid)

  - ### Method Detail

    - #### getRegisterById

          public Register getRegisterById(int id)

    - #### getRegisterByID

          @Deprecated
          public Register getRegisterByID(int id)

      Deprecated.
      Использовать `getRegisterById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### addRegister

          public void addRegister(Register register)

    - #### getRegisterList

          public java.util.List<Register> getRegisterList(java.util.Calendar date1,
                                                          java.util.Calendar date2)

    - #### getRegister

          public Register getRegister(int type,
                                      java.util.Calendar date,
                                      int tagID)

    - #### deleteRegister

          public void deleteRegister(int id)